package net.sergeych.parsec3

import net.sergeych.mptools.toDump
import kotlin.test.*

import org.junit.jupiter.api.Assertions.*

internal class MemoryKVStorageTest {

    @Test
    fun connectToStorage() {
        val s = defaultNamedStorage("test11")
        s.clear()
        println(s)
        println(s["foo"])
        s["foo"] = byteArrayOf(1,2,3)

        var bar: String? by s<String?>(null)
        assertNull(bar)
        bar = "foo"
        println(s.get("bar")?.toDump())
        assertEquals("foo", bar)
        var foo: String by s("", "bar")
        assertEquals("foo", foo)
//
//        var i: Int? by s(defaultValue = 17)
//        i = 19
//        var j: Int? by s("i")
//        assertEquals(19, j)

    }
}